///////////////////////////////
//  2009-2010 Pulsar Effect //
//    All rights reserved    //
///////////////////////////////
// This material may not be  //
//   reproduced, displayed,  //
//  modified or distributed  //
// without the express prior //
// written permission of the //
//   the copyright holder.   //
///////////////////////////////


local PANEL = {};

surface.CreateFont("Tahoma", ScreenScale(10), 1000, true, false, "MixturesWarningFont") 
local WarningTexture = surface.GetTextureID("PERP2/warning");

function PANEL:Init ( )

end

function PANEL:PerformLayout ( )
	surface.SetFont("MixturesWarningFont");
	local x, y = surface.GetTextSize("whatever.");
	self:SetHeight(y * 3);
end

function PANEL:Paint ( )
	draw.RoundedBox(4, 0, 0, self:GetWide(), self:GetTall(), Color(SKIN.control_color.r, SKIN.control_color.g, SKIN.control_color.b, SKIN.control_color.a));
	
	surface.SetDrawColor(255, 255, 255, 255);
	surface.SetTexture(WarningTexture);
	surface.DrawTexturedRect(4, 4, self:GetTall() - 8, self:GetTall() - 8)
	
	draw.SimpleText("You have not unlocked all mixtures yet!", "MixturesWarningFont", self:GetTall() + 8, self:GetTall() * .5, Color(255, 255, 255, 255), 0, 1);
end

vgui.Register('perp2_mixtures_warn', PANEL);