///////////////////////////////
//  2009-2010 Pulsar Effect //
//    All rights reserved    //
///////////////////////////////
// This material may not be  //
//   reproduced, displayed,  //
//  modified or distributed  //
// without the express prior //
// written permission of the //
//   the copyright holder.   //
///////////////////////////////


POT_GROW_TIME = 60 * 20;
MAX_POT = 5;

local MIXTURE = {}

MIXTURE.ID = 2;

MIXTURE.Results = "drug_pot";
MIXTURE.Ingredients = {"drug_pot_seeds", "item_pot"};
MIXTURE.Requires = 	{
						{GENE_INTELLIGENCE, 1},
						{GENE_DEXTERITY, 1},
					};
					
MIXTURE.Free = true;

MIXTURE.RequiresHeatSource = false;
MIXTURE.RequiresWaterSource = false;
MIXTURE.RequiresSawHorse = false;

function MIXTURE.CanMix ( player, pos )
	if (player:Team() != TEAM_CITIZEN) then
		player:Notify("You cannot do this as a government official.");
		return false;
	end
	
	local NumDrugs = 0;
	for k, v in pairs(ents.FindByClass('ent_pot')) do
		if v:GetTable().ItemSpawner == player then
			NumDrugs = NumDrugs + 1;
		end
	end
	
	if NumDrugs >= MAX_POT then
		player:Notify('You have hit the maximum number of pot plants allowed.');
		return false;
	end

	return true;
end

GM:RegisterMixture(MIXTURE);