///////////////////////////////
//  2009-2010 Pulsar Effect //
//    All rights reserved    //
///////////////////////////////
// This material may not be  //
//   reproduced, displayed,  //
//  modified or distributed  //
// without the express prior //
// written permission of the //
//   the copyright holder.   //
///////////////////////////////


local NPC = {};

NPC.Name = "Garage";
NPC.ID = 5;

NPC.Model = Model("models/players/PERP2/f_3_02.mdl");
NPC.Invisible = false; // Used for ATM Machines, Casino Tables, etc.

NPC.Location = Vector(-5317.2427, -10296.3262, 71.0313);
NPC.Angles = Angle(0, 0, 0);
NPC.ShowChatBubble = "Normal";

NPC.Sequence = 6;

// This is always local player.
function NPC.OnTalk ( )
	GAMEMODE.DialogPanel:SetDialog("Can I help you?");
	
	if (LocalPlayer():Team() == TEAM_CITIZEN) then
		GAMEMODE.DialogPanel:AddDialog("Yes, I've come to claim my car.", NPC.ClaimCar)
		GAMEMODE.DialogPanel:AddDialog("Where can I buy a vehicle?", NPC.BuyCar)
		GAMEMODE.DialogPanel:AddDialog("I think I'm lost...", LEAVE_DIALOG)
	else
		GAMEMODE.DialogPanel:AddDialog("No.", LEAVE_DIALOG)
	end
	
	GAMEMODE.DialogPanel:Show();
end

function NPC.BuyCar ( )
	GAMEMODE.DialogPanel:SetDialog("You can buy a car over at the car dealership next door.");
	
	GAMEMODE.DialogPanel:AddDialog("Alright, thank you.", LEAVE_DIALOG)
end

function NPC.ClaimCar ( )
	GAMEMODE.ShowGarageView();
	LEAVE_DIALOG();
end

GAMEMODE:LoadNPC(NPC);